/* 
 * File:   controlSystem.c
 * Author: Kelsey
 * Created on April 12, 2021, 8:22 AM
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "configbits.h"
#include <xc.h>
#include "uart.h"
#include "control.h"
#include "analog.h"
#include "display.h"
#include "delay.h"

/*
 * 
 */
void initialize(void);

int main(int argc, char** argv) {
    
      
    initialize();

    
    while(1){
       // all processing happens in the interrupt, under control.c
    }

    return (EXIT_SUCCESS);
}

void initialize(void){
    initAnalog();
    initClock();
    initUART1();
    initSerial1(57600ul);
    initUART2();
    initSerial2(57600ul); //must define as ul (cast type)
    initSSR();
    initTimer2();   
}













